<?php
/**
Plugin Name: MasterStudy LMS – Online Courses, eLearning PRO
Plugin URI: http://masterstudy.stylemixthemes.com/lms-plugin/
Description: Create brilliant lessons with videos, graphs, images, slides and any other attachments thanks to flexible and user-friendly lesson management tool powered by WYSIWYG editor.
As the ultimate LMS WordPress Plugin, MasterStudy makes it simple and hassle-free to build, customize and manage your Online Education WordPress website.
Author: StylemixThemes
Author URI: https://stylemixthemes.com/
Text Domain: masterstudy-lms-learning-management-system-pro
Version: 3.9.0
*/

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

define( 'STM_LMS_PRO_FILE', __FILE__ );
define( 'STM_LMS_PRO_PATH', dirname( STM_LMS_PRO_FILE ) );
define( 'STM_LMS_PRO_INCLUDES', STM_LMS_PRO_PATH . '/includes' );
define( 'STM_LMS_PRO_ADDONS', STM_LMS_PRO_PATH . '/addons' );
define( 'STM_LMS_PRO_URL', plugin_dir_url( STM_LMS_PRO_FILE ) );
define( 'STM_LMS_PRO_VERSION', '3.9.0' );

if ( ! function_exists( 'mslms_fs' ) && file_exists( STM_LMS_PRO_PATH . '/freemius/start.php' ) ) {
	function mslms_fs() {
		global $mslms_fs;

		if ( ! isset( $mslms_fs ) ) {
			require_once STM_LMS_PRO_PATH . '/freemius/start.php';

			$mslms_fs = fs_dynamic_init(
				array(
					'id'              => '3434',
					'slug'            => 'masterstudy-lms-learning-management-system-pro',
					'premium_slug'    => 'masterstudy-lms-learning-management-system-pro',
					'type'            => 'plugin',
					'public_key'      => 'pk_8f4bc949c6f86161dc61a3002e777',
					'is_premium'      => true,
					'is_premium_only' => true,
					'has_addons'      => false,
					'has_paid_plans'  => true,
					'has_affiliation' => 'all',
					'menu'            => array(
						'slug'       => 'stm-lms-settings',
						'first-path' => 'plugins.php',
						'support'    => false,
					),
					'is_live'         => true,
				)
			);
		}

		return $mslms_fs;
	}

	mslms_fs();
	do_action( 'mslms_fs_loaded' );
}

if ( ! function_exists( 'mslms_appsumo' ) && file_exists( STM_LMS_PRO_PATH . '/appsumo/main.php' ) ) {
	function mslms_appsumo() {
		require_once STM_LMS_PRO_PATH . '/appsumo/main.php';

		return appsumo_init(
			array(
				'item'      => 'masterstudy',
				'name'      => 'MasterStudy LMS PRO',
				'main_file' => STM_LMS_PRO_FILE,
			)
		);
	}
}

function mslms_verify() {
	if ( function_exists( 'mslms_fs' ) ) {
		return ( mslms_fs()->is__premium_only() && mslms_fs()->can_use_premium_code() );
	} elseif ( function_exists( 'mslms_appsumo' ) ) {
		return mslms_appsumo()->is_activated();
	}

	return true;
}

if ( ! is_textdomain_loaded( 'masterstudy-lms-learning-management-system-pro' ) ) {
	load_plugin_textdomain(
		'masterstudy-lms-learning-management-system-pro',
		false,
		'masterstudy-lms-learning-management-system-pro/languages'
	);
}

if ( mslms_verify() ) {
	add_action( 'plugins_loaded', 'stm_lms_pro_init' );

	function stm_lms_pro_init() {
		if ( ! defined( 'STM_LMS_PATH' ) ) {
			require_once STM_LMS_PRO_INCLUDES . '/wizard/wizard.php';
		} else {
			require_once STM_LMS_PRO_INCLUDES . '/init.php';
		}
	}
}

require_once STM_LMS_PRO_INCLUDES . '/hooks/setup.php';
require_once STM_LMS_PRO_INCLUDES . '/classes/class-nonces.php';
