<h5>Who we are</h5>
<p>Thank you for visiting the StylemixThemes. We are an UAE based company, creating WordPress themes and plugins to enhance your website building experience.</p>
<p>Providing consent to this Privacy Policy is necessary in order to use our support services and advanced features in our products.</p>
<h5>Definitions</h5>
<p>Throughout this document, we may use certain words or phrases, and it is important that you understand the meaning of them. The following is a non-exhaustive list of definitions of words and phrases found in this document:</p>
<p>&ldquo;Service&rdquo; refers to the services that we provide, including our WordPress themes (whether obtained from us via Themeforest.net, our Site, directly via e-mail, or otherwise) and our Site itself;</p>
<p>&ldquo;Site&rdquo; refers to our websites, i.e. https://StylemixThemes.com domain and/or its subdomains;</p>
<p>&ldquo;StylemixThemes&rdquo; refers to our company, known as &ldquo;Stylemix FZ-LLC&rdquo;; our Site; our Service; or a combination of all or some of the preceding definitions, depending on the context in which the word is used;</p>
<p>&ldquo;User&rdquo; refers to anyone who uses our Service, including general visitors to our Site;</p>
<p>&ldquo;You&rdquo; refers to you, the person who has accepted this Privacy Policy.</p>
<h5>What personal data we collect and why we collect it</h5>
<p>We are an UAE based company and operate web servers and CDN service hosted in the US by DigitalOcean. Our hosting provider <a href="https://www.privacyshield.gov/participant?id=a2zt0000000TQNgAAO&amp;status=Active" target="_blank">adheres</a> to the EU/US &ldquo;Privacy Shield&rdquo;, ensuring that your data is securely stored and GDPR compliant. For more information on DigitalOcean privacy policy, please see here: <a href="https://www.digitalocean.com/legal/privacy/" target="_blank">DigitalOcean Privacy Policy</a>.</p>
<h5>Purchase Data</h5>
<p>To use our themes and plugins and receive support, you have to register one or more Envato purchase codes on our site. These purchase codes will be stored together with support expiration dates and your user data. This is required for us to provide you with downloads, product support and other customer services. We manage all this data according to Envato policies and rulers, as well as GDPR requirements.</p>
<h5>Identifying Data</h5>
<p>If you register on our website, we store your chosen username and your email address and any additional personal information added by yourself to your user profile. You can see, edit, or delete your personal information at any time (except changing your username). Website administrators can also see and edit this information.<br>
    The information we collect from you to the extent that it is private is disclosed only in accordance with our Terms of Service and/or this Privacy Policy.</p>
<p>As is true of most websites, we gather certain information automatically and store it in log files. In addition, when you use our Services, we may collect certain information automatically from your device. This information may include internet protocol (IP) addresses, browser type, internet service provider (ISP), referring/exit pages, operating system, date/time stamp, clickstream data, landing page, and referring URL. To collect this information, a cookie may be set on your computer or device when you visit our Services. Cookies contain a small amount of information that allows our web servers to recognize you.</p>
<p>We store information that we collect through cookies, log files, and/or clear gifs to record your preferences. We may also automatically collect information about your use of features of our Services, about the functionality of our Services, frequency of visits, and other information related to your interactions with the Services. We may track your use across different websites and services. In some countries, including countries in the European Economic Area (&ldquo;EEA&rdquo;), the information referenced above in this paragraph may be considered the personal information under applicable data protection laws.</p>
<p>Without a subpoena, voluntary compliance on the part of your Internet Service Provider, or additional records from a third party, this information alone cannot usually be used to identify you.</p>
<h5>Comments</h5>
<p>When visitors leave comments on the site we collect the data shown in the comments form, and also the visitor&rsquo;s IP address and browser user agent string to help spam detection.</p>
<p>An anonymized string created from your email address (also called a hash) may be provided to the Gravatar service to see if you are using it. The Gravatar service privacy policy is available here: Automattic Privacy Policy. After approval of your comment, your profile picture is visible to the public in the context of your comment.</p>
<h5>Media</h5>
<p>If you upload images to the website, you should avoid uploading images with embedded location data (EXIF GPS) included. Visitors to the website can download and extract any location data from images on the website.</p>
<h5>Cookies</h5>
<p>If you leave a comment on our site you may opt-in to save your name, email address and website in cookies. These are for your convenience so that you do not have to fill in your details again when you leave another comment. These cookies will last for one year.</p>
<p>If you have an account and you log in to this site, we will set a temporary cookie to determine if your browser accepts cookies. This cookie contains no personal data and is discarded when you close your browser.</p>
<p>When you log in, we will also set up several cookies to save your login information and your screen display choices. Login cookies last for two days, and screen options cookies last for a year. If you select &ldquo;Remember Me&rdquo;, your login will persist for two weeks. If you log out of your account, the login cookies will be removed.</p>
<p>I f you edit or publish an article, an additional cookie will be saved in your browser. This cookie includes no personal data and simply indicates the post ID of the article you just edited. It expires after 1 day.</p>
<h5>Embedded content from other websites</h5>
<p>Articles on this site may include embedded content (e.g. videos, images, articles, etc.). Embedded content from other websites behaves in the exact same way as if the visitor has visited the other website.</p>
<p>These websites may collect data about you, use cookies, embed additional third-party tracking, and monitor your interaction with that embedded content, including tracing your interaction with the embedded content if you have an account and are logged in to that website.</p>
<h5>Data Usage</h5>
<p>We may use your information and data to:</p>
<ul>
    <li>Enhance or improve User experience, our Site, or our Service.</li>
    <li>Send e-mails about our Site or respond to inquiries.</li>
    <li>Send e-mails and updates about StylemixThemes, including our e-mail marketing newsletter (in case we have clear consent for it). You may opt out of these emails at any time.</li>
    <li>Perform any other function that we believe in good faith is necessary to protect the security or proper functioning of our Site or Service.</li>
</ul>
<p>If you do not consent to the collection, use or disclosure of your personal information as outlined in this policy, please do not provide any personal data to StylemixThemes and no longer consent to its use or disclosure as outlined herein.</p>
<h5>Access to your data</h5>
<p>We don&rsquo;t share your data with third-parties in a way as to reveal any of your personal information like email, name, etc. If you are a client with a registered account, your personal information can be accessed by our helpdesk and technical staff in order to provide you support.</p>
<p>We do not sell, trade or otherwise transfer to outside parties any personally-identifiable information. The only exceptions to that rule are for partners we have to share limited data with in order to provide the services you expect from us.</p>
<h5>Envato</h5>
<p>For the purpose of validating and getting your purchase information regarding licenses for the Avada theme, we send your provided tokens and purchase keys to Envato Pty Ltd and use the response from their API to register your validated support data. See the Envato privacy policy here: <a href="https://envato.com/privacy/" target="_blank">Envato Privacy Policy</a></p>
<h5>MailChimp</h5>
<p>If you sign up to our newsletter, using our newsletter form that is hosted by MailChimp (on their server), your email address as well as the marketing reasons to contact you for, will be stored by MailChimp. You have to give explicit consent to all marketing means you want us to use to contact you. For more information on MailChimp&rsquo;s privacy policy, please see here: <a href="https://mailchimp.com/legal/privacy/" target="_blank">MailChimp Privacy Policy</a>.</p>
<h5>Analytics</h5>
<p>We use analytics providers such as Google Analytics. Google Analytics uses cookies to collect non-identifying information. Google provides some additional privacy options regarding its Analytics cookies at <a href="https://www.google.com/policies/privacy/partners/" target="_blank">http://www.google.com/policies/privacy/partners/</a>.</p>
<p>We use Google Analytics on our site for anonymous reporting of site usage. So, no personalized data is stored. If you would like to opt-out of Google Analytics monitoring your behavior on our site please use this link: <a href="https://tools.google.com/dlpage/gaoptout/" target="_blank">Google Analytics Opt-out</a>.</p>
<h5>Links to third party websites</h5>
<p>StylemixThemes may post links to third party websites on this Site. These third party websites are not screened for privacy or security compliance by StylemixThemes, and you release us from any liability for the conduct of these third party websites.</p>
<p>All social media sharing links, either displayed as text links or social media icons do not connect you to any of the associated third parties, unless you explicitly click on them.</p>
<p>StylemixThemes bears no responsibility for the information collected or used by any advertiser or third party website. Please review the privacy policy and terms of service for each site you visit through third party links.</p>
<h5>How long we retain your data</h5>
<p>When you submit a support ticket or a comment, its metadata is retained until (if) you tell us to remove it. This is so we can recognize and approve any follow-up comments automatically instead of holding them in a moderation queue.<br>
    For users that register on our website (if any), we also store the personal information they provide in their user profile. All users can see, edit, or delete their personal information at any time (except they cannot change their username). Website administrators can also see and edit that information.</p>
<h5>What rights you have over your data</h5>
<p>If you have an account on this site, agreed to use cookies, or have left comments, you can request to receive an exported file of the personal data we hold about you, including any data you have provided to us. You can also request that we erase any personal data we hold about you. This does not include any data we are obliged to keep for administrative, legal, or security purposes.</p>
<p>In short, we cannot erase data that is vital to you being an active customer (i.e. basic account information like an email address).</p>
<p>If you wish that all of your data is erased, we will no longer be able to offer any support or other product related services to you.</p>
<h5>Where we send your data</h5>
<p>Visitor comments may be checked through an automated spam detection service.</p>
<h5>How we protect your data</h5>
<p>We use the SSL/HTTPS protocol throughout our site. This encrypts our user communications with the servers so that personal identifiable information is not captured/hijacked by third parties without authorization.<br>
    In case of a data breach, system administrators will immediately take all needed steps to ensure system integrity, will contact affected users and will attempt to reset passwords if needed.</p>
<h5>Address and contacts</h5>
<p>Stylemix FZ-LLC<br>
    SD2-58, Building 16, DIC Business Center<br>
    Dubai, UAE<br>
    Postcode: 73030</p>
<p>Email: services@stylemixthemes.com</p>